## org.eclipse.datatools.sqltools.sql.parser
Interface SQLParserConstants

All Known Implementing Classes:
  DerbySQLParser, GenericSQLParser, SQLParser

    public interface SQLParserConstants

This interface defines the constants used by SQLParser, including: scopes indicating the current context for the SQLParser; and sql statement type constansts.

Author:
  Hui Cao

Field Summary
`static java.lang.String` `COLUMNS`
`static java.lang.String` `DATABASES`
`static java.lang.String` `DDL_STATEMENTS`
`static java.lang.String` `DML_STATEMENTS`
`static java.lang.String` `EVENT_PARAMETERS`
`static java.lang.String` `GLOBAL_VARIABLES`
`static java.lang.String` `PARAMETERS`
`static int` `SCOPE_CATALOGS` Scope constant indicating catalog list information is required.
`static int` `SCOPE_COLUMNS` Scope constant indicating column list information is required.
`static int` `SCOPE_DATA_TYPES` Scope constant indicating data type list information is required.
`static int` `SCOPE_DEFAULT` Scope constant indicating the default scope.
`static int` `SCOPE_DEFINE_VARIABLES` Scope constant indicating variable list information is NOT required because we are defining a new one.
`static int` `SCOPE_EVENTS` Scope constant indicating event list information is required.
`static int` `SCOPE_FUNCTIONS` Scope constant indicating function list information is required.
`static int` `SCOPE_INDEXES` Scope constant indicating index list information is required.
`static int` `SCOPE_REFERENCE_VARIABLES` Scope constant indicating variable list information is required.
`static int` `SCOPE_SCHEMAS` Scope constant indicating schema list information is required.
`static int` `SCOPE_SEGMENT` Scope constant indicating the segment scope.
`static int` `SCOPE_STORED_PROCEDURES` Scope constant indicating procedure list information is required.
`static int` `SCOPE_TABLES` Scope constant indicating table list information is required.
`static int` `SCOPE_TRIGGERS` Scope constant indicating trigger list information is required.
`static int` `SCOPE_VIEWS` Scope constant indicating table list information is required.
`static int` `SCOPE_WITHOUT_TABLE` Scope constant indicating table name should be removed for columns.
`static java.lang.String` `TABLES`
`static int` `TYPE_SQL_ALTER_DATABASE`
`static int` `TYPE_SQL_ALTER_EVENT`
`static int` `TYPE_SQL_ALTER_FUNCTION`
`static int` `TYPE_SQL_ALTER_INDEX`
`static int` `TYPE_SQL_ALTER_PROCEDURE`
`static int` `TYPE_SQL_ALTER_TABLE`
`static int` `TYPE_SQL_ALTER_TRIGGER`
`static int` `TYPE_SQL_ALTER_VIEW`
`static int` `TYPE_SQL_BEGIN`
`static int` `TYPE_SQL_BEGIN_TRANSACTION`
`static int` `TYPE_SQL_CALL`
`static int` `TYPE_SQL_CREATE_DATABASE`
`static int` `TYPE_SQL_CREATE_DEFAULT`
`static int` `TYPE_SQL_CREATE_EVENT`
`static int` `TYPE_SQL_CREATE_FUNCTION`
`static int` `TYPE_SQL_CREATE_INDEX`
`static int` `TYPE_SQL_CREATE_PROCEDURE`
`static int` `TYPE_SQL_CREATE_TABLE`
`static int` `TYPE_SQL_CREATE_TRIGGER`
`static int` `TYPE_SQL_CREATE_VIEW`
`static int` `TYPE_SQL_DECLARE`
`static int` `TYPE_SQL_DELETE`
`static int` `TYPE_SQL_DROP_VIEW`
`static int` `TYPE_SQL_EVENT_CONDITION`
`static int` `TYPE_SQL_INSERT`
`static int` `TYPE_SQL_OTHERS`
`static int` `TYPE_SQL_ROOT`
`static int` `TYPE_SQL_ROUTINE_HEADER` Indicates that only the routine header is interesting to the consumer.
`static int` `TYPE_SQL_SELECT`
`static int` `TYPE_SQL_SELECT_INTO`
`static int` `TYPE_SQL_UPDATE`
`static java.lang.String` `VARIABLE_ASSIGNMENTS`
`static java.lang.String` `VARIABLE_DECLARATIONS`
`static java.lang.String` `VARIABLE_REFERENCES`

Field Detail

### SCOPE_DEFAULT

    static final int SCOPE_DEFAULT

  Scope constant indicating the default scope.

  See Also:
    Constant Field Values

### SCOPE_CATALOGS

    static final int SCOPE_CATALOGS

  Scope constant indicating catalog list information is required.

  See Also:
    Constant Field Values

### SCOPE_SCHEMAS

    static final int SCOPE_SCHEMAS

  Scope constant indicating schema list information is required.

  See Also:
    Constant Field Values

### SCOPE_TABLES

    static final int SCOPE_TABLES

  Scope constant indicating table list information is required.

  See Also:
    Constant Field Values

### SCOPE_VIEWS

    static final int SCOPE_VIEWS

  Scope constant indicating table list information is required.

  See Also:
    Constant Field Values

### SCOPE_COLUMNS

    static final int SCOPE_COLUMNS

  Scope constant indicating column list information is required.

  See Also:
    Constant Field Values

### SCOPE_INDEXES

    static final int SCOPE_INDEXES

  Scope constant indicating index list information is required.

  See Also:
    Constant Field Values

### SCOPE_DATA_TYPES

    static final int SCOPE_DATA_TYPES

  Scope constant indicating data type list information is required.

  See Also:
    Constant Field Values

### SCOPE_STORED_PROCEDURES

    static final int SCOPE_STORED_PROCEDURES

  Scope constant indicating procedure list information is required.

  See Also:
    Constant Field Values

### SCOPE_FUNCTIONS

    static final int SCOPE_FUNCTIONS

  Scope constant indicating function list information is required.

  See Also:
    Constant Field Values

### SCOPE_TRIGGERS

    static final int SCOPE_TRIGGERS

  Scope constant indicating trigger list information is required.

  See Also:
    Constant Field Values

### SCOPE_EVENTS

    static final int SCOPE_EVENTS

  Scope constant indicating event list information is required.

  See Also:
    Constant Field Values

### SCOPE_DEFINE_VARIABLES

    static final int SCOPE_DEFINE_VARIABLES

  Scope constant indicating variable list information is NOT required because we are defining a new one.

  See Also:
    Constant Field Values

### SCOPE_REFERENCE_VARIABLES

    static final int SCOPE_REFERENCE_VARIABLES

  Scope constant indicating variable list information is required.

  See Also:
    Constant Field Values

### SCOPE_WITHOUT_TABLE

    static final int SCOPE_WITHOUT_TABLE

  Scope constant indicating table name should be removed for columns. Combined with SCOPE_COLUMNS.

  See Also:
    Constant Field Values

### SCOPE_SEGMENT

    static final int SCOPE_SEGMENT

  Scope constant indicating the segment scope.

  See Also:
    Constant Field Values

### TYPE_SQL_ROOT

    static final int TYPE_SQL_ROOT

See Also:
  Constant Field Values

### TYPE_SQL_OTHERS

    static final int TYPE_SQL_OTHERS

See Also:
  Constant Field Values

### TYPE_SQL_SELECT

    static final int TYPE_SQL_SELECT

See Also:
  Constant Field Values

### TYPE_SQL_INSERT

    static final int TYPE_SQL_INSERT

See Also:
  Constant Field Values

### TYPE_SQL_DELETE

    static final int TYPE_SQL_DELETE

See Also:
  Constant Field Values

### TYPE_SQL_UPDATE

    static final int TYPE_SQL_UPDATE

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_DATABASE

    static final int TYPE_SQL_CREATE_DATABASE

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_TABLE

    static final int TYPE_SQL_CREATE_TABLE

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_VIEW

    static final int TYPE_SQL_CREATE_VIEW

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_PROCEDURE

    static final int TYPE_SQL_CREATE_PROCEDURE

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_FUNCTION

    static final int TYPE_SQL_CREATE_FUNCTION

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_EVENT

    static final int TYPE_SQL_CREATE_EVENT

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_TRIGGER

    static final int TYPE_SQL_CREATE_TRIGGER

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_DEFAULT

    static final int TYPE_SQL_CREATE_DEFAULT

See Also:
  Constant Field Values

### TYPE_SQL_DECLARE

    static final int TYPE_SQL_DECLARE

See Also:
  Constant Field Values

### TYPE_SQL_BEGIN

    static final int TYPE_SQL_BEGIN

See Also:
  Constant Field Values

### TYPE_SQL_CREATE_INDEX

    static final int TYPE_SQL_CREATE_INDEX

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_DATABASE

    static final int TYPE_SQL_ALTER_DATABASE

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_TABLE

    static final int TYPE_SQL_ALTER_TABLE

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_VIEW

    static final int TYPE_SQL_ALTER_VIEW

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_PROCEDURE

    static final int TYPE_SQL_ALTER_PROCEDURE

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_FUNCTION

    static final int TYPE_SQL_ALTER_FUNCTION

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_EVENT

    static final int TYPE_SQL_ALTER_EVENT

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_TRIGGER

    static final int TYPE_SQL_ALTER_TRIGGER

See Also:
  Constant Field Values

### TYPE_SQL_CALL

    static final int TYPE_SQL_CALL

See Also:
  Constant Field Values

### TYPE_SQL_BEGIN_TRANSACTION

    static final int TYPE_SQL_BEGIN_TRANSACTION

See Also:
  Constant Field Values

### TYPE_SQL_ALTER_INDEX

    static final int TYPE_SQL_ALTER_INDEX

See Also:
  Constant Field Values

### TYPE_SQL_DROP_VIEW

    static final int TYPE_SQL_DROP_VIEW

See Also:
  Constant Field Values

### TYPE_SQL_SELECT_INTO

    static final int TYPE_SQL_SELECT_INTO

See Also:
  Constant Field Values

### TYPE_SQL_EVENT_CONDITION

    static final int TYPE_SQL_EVENT_CONDITION

See Also:
  Constant Field Values

### TYPE_SQL_ROUTINE_HEADER

    static final int TYPE_SQL_ROUTINE_HEADER

  Indicates that only the routine header is interesting to the consumer. Can be combined with other routine types.

  See Also:
    Constant Field Values

### DATABASES

    static final java.lang.String DATABASES

See Also:
  Constant Field Values

### TABLES

    static final java.lang.String TABLES

See Also:
  Constant Field Values

### COLUMNS

    static final java.lang.String COLUMNS

See Also:
  Constant Field Values

### VARIABLE_REFERENCES

    static final java.lang.String VARIABLE_REFERENCES

See Also:
  Constant Field Values

### VARIABLE_DECLARATIONS

    static final java.lang.String VARIABLE_DECLARATIONS

See Also:
  Constant Field Values

### VARIABLE_ASSIGNMENTS

    static final java.lang.String VARIABLE_ASSIGNMENTS

See Also:
  Constant Field Values

### GLOBAL_VARIABLES

    static final java.lang.String GLOBAL_VARIABLES

See Also:
  Constant Field Values

### PARAMETERS

    static final java.lang.String PARAMETERS

See Also:
  Constant Field Values

### EVENT_PARAMETERS

    static final java.lang.String EVENT_PARAMETERS

See Also:
  Constant Field Values

### DML_STATEMENTS

    static final java.lang.String DML_STATEMENTS

See Also:
  Constant Field Values

### DDL_STATEMENTS

    static final java.lang.String DDL_STATEMENTS

See Also:
  Constant Field Values